Subject: Desperately seeking daffodils and tulips

From: [email-masked] (gwen baker)
Date: 4 Apr 1995 13:36:20 GMT

I am in desperate need for daffodil and tulip floers. Please Help.  It
takes 14 daffodils to give me 1/2 ounce of dried ground daffodil to use in
my scented beads. I will gladly send drying instructions and mailing
address and will refund mailing expenses and throw in some beads to boot. 
What a great gift for mom. The flowers can be picked after they start to
wilt.  I prefer the muskiness they develop, so you can help me and enjoy
your yard too.

-- 
Gwen Baker
Victorian Scented Beads
[email-masked]